local frame = CreateFrame("Frame")

local function Vremon_OnLoad()  
local target = CreateFrame("Frame")
target:RegisterEvent("PLAYER_TARGET_CHANGED")
target:RegisterEvent("PLAYER_FOCUS_CHANGED")
target:RegisterEvent("GROUP_ROSTER_UPDATE")
target:RegisterEvent("UNIT_FACTION")
target:SetScript("OnEvent", function(...)
TargetFrameTextureFrameTexture:SetTexture("Interface/TargetingFrame/UI-TargetingFrame-NoLevel")
FocusFrameTextureFrameTexture:SetTexture("Interface/TargetingFrame/UI-TargetingFrame-NoLevel")
if UnitIsPlayer("target") then c = RAID_CLASS_COLORS[select(2, UnitClass("target"))]
  TargetFrameNameBackground:SetVertexColor(c.r, c.g, c.b)  end
  if UnitIsPlayer("focus") then c = RAID_CLASS_COLORS[select(2, UnitClass("focus"))]
  FocusFrameNameBackground:SetVertexColor(c.r, c.g, c.b)  end
end)

local function colour(statusbar, unit)
        local _, class, c
        if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) and unit ~= "player" then 
            _, class = UnitClass(unit)
            c = RAID_CLASS_COLORS[class]
            statusbar:SetStatusBarColor(c.r, c.g, c.b)
        end 
    end
hooksecurefunc("UnitFrameHealthBar_Update", colour)
hooksecurefunc("HealthBar_OnValueChanged", function(self) colour(self, self.unit) end)	


--ClassIcon Portraits

hooksecurefunc("UnitFramePortrait_Update",function(self)
    if self.unit == "player" or self.unit == "pet" then return end
    if self.portrait then
        if UnitIsPlayer(self.unit) then
            local t = CLASS_ICON_TCOORDS[select(2,UnitClass(self.unit))]
            if t then
                self.portrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
                self.portrait:SetTexCoord(unpack(t))
            end
        else
            self.portrait:SetTexCoord(0,1,0,1)
        end
    end
end)
		
--Highlight Important Burst/Defensive Buffs on Enemy Target/Focus Frame    

local spelllist = { 

--Warrior
[190456] = true, -- Ignore Pain
[52437] = true, -- Sudden Death
[1719] = true, -- Recklessness
[23920] = true, -- Spell Reflection 
[97463] = true, -- Rallying Cry
[107574] = true, -- Avatar
[118038] = true, -- Die by the Sword
[147833] = true, -- Intervene
[184364] = true, -- Enraged Regeneration
[197690] = true, -- Defensive Stance
[227847] = true, -- Bladestorm (Arms)
[236321] = true, -- War Banner (PvP Talent)
[262228] = true, -- Deadly Calm
[198817] = true, -- Sharpen Blade (Arms PvP Talent) - "next cast will..." buff
[324143] = true, -- Conqueror's Banner (Necrolord Ability) - on the warrior

--DK
[48707] = true,
[48265] = true,
[48792] = true,
[49039] = true,
[51271] = true,
[47568] = true,
[315443] = true,
[311648] = true,
[152279] = true,

--DH
[343312] = true, -- Furious Gaze
[187827] = true, -- Metamorphosis - Vengeance
[162264] = true, -- Metamorphosis - Havoc
[205629] = true, -- Demonic Trample
[206804] = true, -- Rain from Above (down)
[206803] = true, -- Rain from Above (up)
[209426] = true, -- Darkness
[212800] = true, -- Blur
[196555] = true, -- Netherwalk
[337567] = true, -- Chaotic Blades (Chaos Theory Legendary)

--Druid
[114108] = true, -- Soul of the Forest
[203554] = true, -- Focused 
[1850] = true, -- Dash
[252216] = true, -- Tiger Dash
[5217] = true, -- Tiger's Fury
[22812] = true, -- Barkskin
[22842] = true, -- Frenzied Regeneration
[29166] = true, -- Innervate
[33891] = true, -- Incarnation: Tree of Life (for the menu entry - "Incarnation" tooltip isn't informative)
[117679] = true, -- Incarnation (grants access to Tree of Life form)
[61336] = true, -- Survival Instincts
[102342] = true, -- Ironbark
[102543] = true, -- Incarnation: King of the Jungle
[102558] = true, -- Incarnation: Guardian of Ursoc
[102560] = true, -- Incarnation: Chosen of Elune
[106951] = true, -- Berserk (Feral)
[132158] = true, -- Nature's Swiftness
[155835] = true, -- Bristling Fur
[194223] = true, -- Celestial Alignment
[202425] = true, -- Warrior of Elune
[305497] = true, -- Thorns (PvP Talent)
[50334] = true, -- Berserk (Guardian)
[247563] = true, -- Nature's Grasp (Resto Entangling Bark PvP Talent)        
[319454] = true, -- Heart of the Wild
[108291] = true, -- with Balance Affinity
[108292] = true, -- with Feral Affinity
[108293] = true, -- with Guardian Affinity
[108294] = true, -- with Resto Affinity
[323764] = true, -- Convoke the Spirits (Night Fae Ability)
[323546] = true, -- Ravenous Frenzy (Venthyr Ability)
[338142] = true, -- Lone Empowerment (Kyrian Ability)
[327037] = true, -- Kindred Protection (Kyrian Ability)

--Hunter
[5384] = true, -- Feign Death
[19574] = true, -- Bestial Wrath
[186254] = true, -- Bestial Wrath buff on the pet
[53480] = true, -- Roar of Sacrifice (PvP Talent)
[54216] = true, -- Master's Call
[118922] = true, -- Posthaste
[186257] = true, -- Aspect of the Cheetah
[203233] = true, -- Hunting Pack (PvP Talent)
[186265] = true, -- Aspect of the Turtle
[186289] = true, -- Aspect of the Eagle
[193530] = true, -- Aspect of the Wild
[209997] = true, -- Play Dead
[260402] = true, -- Double Tap
[266779] = true, -- Coordinated Assault
[288613] = true, -- Trueshot
[202748] = true, -- Survival Tactics (PvP Talent)
[248519] = true, -- Interlope (BM PvP Talent)

--Mage
[230249] = true, -- Rune of Power
[278310] = true, -- Chain Reaction
[336821] = true, -- Combustion
[12042] = true, -- Arcane Power
[12051] = true, -- Evocation
[12472] = true, -- Icy Veins
[198144] = true, -- Ice Form  
[41425] = true, -- Hypothermia
[342242] = true, -- Time Warp procced by Time Anomality (Arcane Talent)
[87023] = true, -- Cauterize
[108839] = true, -- Ice Floes
[342246] = true, -- Alter Time (Arcane)
[110909] = true, -- Alter Time (Fire/Frost)
[190319] = true, -- Combustion
[198111] = true, -- Temporal Shield (Arcane PvP Talent)
[198158] = true, -- Mass Invisibility (Arcane PvP Talent)
[198065] = true, -- Prismatic Cloak (PvP Talent)
[205025] = true, -- Presence of Mind
[333100] = true, -- Firestorm (Fire Legendary)
[324220] = true, -- Deathborne (Necrolord Ability)

--Monk 
[325216] = true, -- Bonedust Brew
[335937] = true, -- Bonedust Brew
[120954] = true, -- Fortifying Brew (Brewmaster)
[243435] = true, -- Fortifying Brew (Windwalker/Mistweaver)
[116841] = true, -- Tiger's Lust
[337294] = true, -- Roll Out (Legendary)
[116849] = true, -- Life Cocoon
[122278] = true, -- Dampen Harm
[125174] = true, -- Touch of Karma (Buff)
[122783] = true, -- Diffuse Magic
[137639] = true, -- Storm, Earth, and Fire
[152173] = true, -- Serenity
[202162] = true, -- Avert Harm (Brew PvP Talent)
[209584] = true, -- Zen Focus Tea (MW PvP Talent)
[343249] = true, -- Escape from Reality (MW Monk Legendary)
[310454] = true, -- Weapons of Order (Kyrian Ability)
[202335] = true, -- Double Barrel (Brew PvP Talent) - "next cast will..." buff
[202248] = true, -- Guided Meditation (Brew PvP Talent)
[213664] = true, -- Nimble Brew (Brew PvP Talent)
[132578] = true, -- Invoke Niuzao, the Black Ox

-- Paladin
[498] = true, -- Divine Protection
[642] = true, -- Divine Shield
[1022] = true, -- Blessing of Protection
[204018] = true, -- Blessing of Spellwarding
[1044] = true, -- Blessing of Freedom
[305395] = true, -- Blessing of Freedom with Unbound Freedom (PvP Talent)
[6940] = true, -- Blessing of Sacrifice
[199448] = true, -- Blessing of Sacrifice (Ultimate Sacrifice Holy PvP Talent)
[199450] = true, -- Ultimate Sacrifice (Holy PvP Talent) - debuff on the paladin
[25771] = true, -- Forbearance
[31821] = true, -- Aura Mastery
[31850] = true, -- Ardent Defender
[31884] = true, -- Avenging Wrath
[216331] = true, -- Avenging Crusader (Holy Talent)
[231895] = true, -- Crusade (Retribution Talent)
[86659] = true, -- Guardian of Ancient Kings
[212641] = true, -- Guardian of Ancient Kings (Glyphed)
[228050] = true, -- Guardian of the Forgotten Queen (Protection PvP Talent)
[105809] = true, -- Holy Avenger
[152262] = true, -- Seraphim
[184662] = true, -- Shield of Vengeance
[199545] = true, -- Steed of Glory (Protection PvP Talent)
[205191] = true, -- Eye for an Eye
[210256] = true, -- Blessing of Sanctuary (Ret PvP Talent)
[210294] = true, -- Divine Favor (Holy PvP Talent)
[215652] = true, -- Shield of Virtue (Protection PvP Talent) - "next cast will..." buff
[157128] = true, -- Saved by the Light

-- Priest
[337661] = true, -- Translucent Image (Fade defensive Conduit)
[213602] = true, -- Greater Fade (Holy/Shadow PvP Talent)    
[10060] = true, -- Power Infusion
[33206] = true, -- Pain Suppression
[47536] = true, -- Rapture
[109964] = true, -- Spirit Shell
[47585] = true, -- Dispersion
[47788] = true, -- Guardian Spirit
[64843] = true, -- Divine Hymn
[81782] = true, -- Power Word: Barrier
[194249] = true, -- Voidform
[232707] = true, -- Ray of Hope (Holy PvP Talent)
[197862] = true, -- Archangel (Disc PvP Talent)
[197871] = true, -- Dark Archangel (Disc PvP Talent) - on the priest
[197874] = true, -- Dark Archangel (Disc PvP Talent) - on others
[200183] = true, -- Apotheosis
[213610] = true, -- Holy Ward
[215769] = true, -- Spirit of Redemption (Spirit of the Redeemer Holy PvP Talent)
[211336] = true, -- Archbishop Benedictus' Restitution (Holy Priest Revive Legendary)
[289655] = true, -- Holy Word: Concentration
[319952] = true, -- Surrender to Madness
[322431] = true, -- Thoughtsteal (Buff)    
[329543] = true, -- Divine Ascension (down)
[328530] = true, -- Divine Ascension (up)
[15286] = true, -- Vampiric Embrace
[19236] = true, -- Desperate Prayer
[111759] = true, -- Levitate
[325013] = true, -- Boon of the Ascended (Kyrian)
[121557] = true, -- Angelic Feather

-- Rogue
[1966] = true, -- Feint
[2983] = true, -- Sprint
[5277] = true, -- Evasion
[11327] = true, -- Vanish
[13750] = true, -- Adrenaline Rush
[31224] = true, -- Cloak of Shadows
[45182] = true, -- Cheating Death
[51690] = true, -- Killing Spree
[121471] = true, -- Shadow Blades
[185422] = true, -- Shadow Dance
[207736] = true, -- Shadowy Duel
[212283] = true, -- Symbols of Death
[199027] = true, -- Veil of Midnight (Subtlety PvP Talent)
[197003] = true, -- Maneuverability (PvP Talent)
[115192] = true, -- Subterfuge
[256735] = true, -- Master Assassin
[340094] = true, -- Master Assassin's Mark (Legendary)
[345569] = true, -- Flagellation (Venthyr Ability)
[347037] = true, -- Sepsis (Night Fae Ability)

-- Shaman
[337984] = true, -- Vital Earth Pet
[143474] = true, -- Healing Tide Totem
[77762] = true, -- Lava Surge
[208963] = true, -- Skyfury
[344179] = true, -- Maelstrom 
[114050] = true, -- Ascendance (Elemental)
[114051] = true, -- Ascendance (Enhancement)
[114052] = true, -- Ascendance (Restoration)
[204262] = true, -- Ghost Wolf
[8178] = true, -- Grounding Totem Effect (PvP Talent)
[79206] = true, -- Spiritwalker's Grace
[108281] = true, -- Ancestral Guidance
[325174] = true, -- Spirit Link Totem
[108271] = true, -- Astral Shift
[210918] = true, -- Ethereal Form (Enhancement PvP Talent)
[114049] = true, -- Ascendance  
[118337] = true, -- Harden Skin
[191634] = true, -- Stormkeeper (Ele)
[320137] = true, -- Stormkeeper (Enh)
[201633] = true, -- Earthen Wall Totem
[204366] = true, -- Thundercharge (Enhancement PvP Talent)
[335903] = true, -- Doom Winds
[260881] = true, -- Spirit Wolf
[290641] = true, -- Ancestral Gift
[320125] = true, -- Echoing Shock
[333957] = true, -- Feral Spirit
[204361] = true, -- Bloodlust (Enhancement PvP Talent)
[192082] = true, -- Windrush Totem
[338036] = true, -- Thunderous Paws (Conduit)
[327164] = true, -- Primordial Wave (Necrolord Ability)

    -- Warlock
[266030] = true, -- Reverse Entropy
[334320] = true, -- Inevitable Demise
[104773] = true, -- Unending Resolve
[108416] = true, -- Dark Pact
[111400] = true, -- Burning Rush
[113860] = true, -- Dark Soul: Misery (Affliction)
[113858] = true, -- Dark Soul: Instability (Destruction)
[265273] = true, -- Demonic Power (Demonic Tyrant)
[212295] = true, -- Nether Ward (PvP Talent)
[221705] = true, -- Casting Circle (PvP Talent)
[333889] = true, -- Fel Domination
[344566] = true, -- Rapid Contagion (Affliction PvP Talent)
[267171] = true, -- Demonic Strength
[267218] = true, -- Nether Portal
[339412] = true, -- Demonic Momentum (Conduit)  

--Others and  Legendaries
[345228] = true, -- Badge Trinket
[277185] = true, -- Badge Trinket
[34709] = true, -- Shadow Sight
[345231] = true, -- Gladiator's Emblem
[310143] = true, -- Soulshape
[320224] = true, -- Podtender (Night Fae - Dreamweaver Trait)
[323524] = true, -- Ultimate Form (Necrolord - Marileth Trait)
[327140] = true, -- Forgeborne Reveries (Necrolord - Bonesmith Heirmir Trait)
[330752] = true, -- Ascendant Phial (Kyrian - Kleia Trait)
[332505] = true, -- Soulsteel Clamps (Kyrian - Mikanikos Trait)
[323095] = true, -- Fleshcraft
[332506] = true, -- Soulsteel Clamps (Kyrian - Mikanikos Trait) - when moving
[352373] = true -- Fatalflaw(Venthyr)

     }

hooksecurefunc("TargetFrame_UpdateAuras", function(self)
    local frameName
    local selfName = self:GetName()
    local isfriend = UnitIsPlayer(self.unit) and (UnitIsFriend("player", self.unit))
    local isenemy =  UnitIsPlayer(self.unit) and (not (UnitIsFriend("player", self.unit)))
    for i = 1, MAX_TARGET_BUFFS do
        local spellId = select(10,  UnitBuff(self.unit, i, nil))

        if spellId and isfriend then
            frameName = selfName.."Buff"..(i)
            local frameCooldown = _G[frameName.."Cooldown"]
            frameCooldown:SetDrawSwipe(true)
            frameCooldown:SetHideCountdownNumbers(true)
        end

            if spellId and isenemy then
                if spelllist[spellId] then
                    frameName = selfName.."Buff"..(i)
                    local frameStealable = _G[frameName.."Stealable"]
                    frameStealable:SetSize(22, 22)
                    frameStealable:SetTexCoord(0.09,0.94,0.09,0.94)
                    frameStealable:Show()

                    local frameCooldown = _G[frameName.."Cooldown"]
                    frameCooldown:SetHideCountdownNumbers(false)
                    frameCooldown:SetScale(0.6)
                    frameCooldown:SetDrawEdge(false)
                    frameCooldown:SetDrawSwipe(false) end
            end

            if spellId and isenemy then
                if not spelllist[spellId] then
                    frameName = selfName.."Buff"..(i)
                    local frameCooldown = _G[frameName.."Cooldown"]
                    frameCooldown:SetDrawSwipe(true)
                    frameCooldown:SetHideCountdownNumbers(true) end
            end
        end
end)

local function hideAura(self, name, index)
	if not UnitIsPlayer(self.unit) then return end
    if (UnitIsFriend("player", self.unit)) then return end
    _G[name..index]:SetSize(20, 20) end
hooksecurefunc('TargetFrame_UpdateBuffAnchor', hideAura)

--Stance Aura 

local stance = CreateFrame("Frame")
stance:RegisterEvent("UNIT_AURA", "player")
stance:RegisterEvent("PLAYER_ENTERING_WORLD")

local btn = CreateFrame("Frame","Vrm", UIParent)
local texture = btn:CreateTexture(nil,"ARTWORK")
texture:SetScale(0.65)
texture:SetPoint("LEFT", UIParent, "CENTER", 143, -53)

stance:SetScript("OnEvent", function(self, event, ...)	
        if event == ("UNIT_AURA") or event == ("PLAYER_ENTERING_WORLD") then 
        local isdefstance = AuraUtil.FindAuraByName("Defensive Stance", "player")
        if isdefstance and texture:GetTexture() ~= 132341 then
                  texture:SetTexture(132341)
        elseif not isdefstance and texture:GetTexture() ~= 132349 then		
                  texture:SetTexture(132349)
		end		
		end
end)

local _, class = UnitClass("player")
if not ( class == "WARRIOR" ) then  btn:SetAlpha(0) end 

local appear = CreateFrame("FRAME");
appear:SetScript("OnEvent", function(self, event)  
	if(event == "PLAYER_LOGIN") then 
	btn:Hide()
	elseif(event == "PLAYER_REGEN_ENABLED") then
		btn:Hide()
	elseif(event == "PLAYER_REGEN_DISABLED") then
		btn:Show()
	end
end)
appear:RegisterEvent("PLAYER_LOGIN")
appear:RegisterEvent("PLAYER_REGEN_ENABLED")
appear:RegisterEvent("PLAYER_REGEN_DISABLED") 
                   
--Player Frame

ExtraActionButton1.style:Hide()
ZoneAbilityFrame.Style:Hide()
PlayerFrameGroupIndicator:SetAlpha(0)
PlayerHitIndicator.Show = function() end
PlayerFrameFlash:SetAlpha(0)
PlayerGuideIcon:SetAlpha(0)
PlayerLeaderIcon:SetAlpha(0)
PlayerPlayTime:GetParent().MultiGroupFrame:SetAlpha(0)
PlayerFrameTexture:SetTexture("Interface/TargetingFrame/UI-TargetingFrame-NoLevel")
PlayerPrestigeBadge:SetAlpha(0)
PlayerPrestigePortrait:SetAlpha(0)
PlayerFrameRoleIcon:SetAlpha(0) 

--Focus Frame

FocusFrameToTTextureFrameName:Hide()
FocusFrameFlash:SetAlpha(0)
FocusFrameTextureFrameLeaderIcon:SetAlpha(0)
FocusFrameTextureFramePVPIcon:SetAlpha(0)
FocusFrameTextureFramePrestigeBadge:SetAlpha(0)
FocusFrameTextureFramePrestigePortrait:SetAlpha(0)

--Target Frame

TargetFrameToTTextureFrameName:Hide()
TargetFrameTextureFrameLeaderIcon:SetAlpha(0)
TargetFrameFlash:SetAlpha(0)
TargetFrameTextureFramePVPIcon:SetAlpha(0)
TargetFrameTextureFramePrestigeBadge:SetAlpha(0)
TargetFrameTextureFramePrestigePortrait:SetAlpha(0)

--Target/Focus of Target Position

TargetFrameToT:ClearAllPoints()
TargetFrameToT:SetPoint("CENTER", TargetFrame, "CENTER", 66, -46)
FocusFrameToT:ClearAllPoints()
FocusFrameToT:SetPoint("CENTER", FocusFrame, "CENTER", 66, -46)

TargetFrameToTBackground:SetTexture("Interface\\UNITPOWERBARALT\\MetalPlain_Circular_Frame") 
TargetFrameToTBackground:SetSize(61, 61)
TargetFrameToTBackground:SetVertexColor(0, 0, 0)
TargetFrameToTBackground:ClearAllPoints() 
TargetFrameToTBackground:SetPoint("CENTER", TargetFrameToTPortrait, "CENTER", 0, 0)

FocusFrameToTBackground:SetTexture("Interface\\UNITPOWERBARALT\\MetalPlain_Circular_Frame") 
FocusFrameToTBackground:SetSize(61, 61)
FocusFrameToTBackground:SetVertexColor(0, 0, 0)
FocusFrameToTBackground:ClearAllPoints() 
FocusFrameToTBackground:SetPoint("CENTER", FocusFrameToTPortrait, "CENTER", 0, 0)
 
--Miscellaneous

GameTooltipStatusBar:SetAlpha(0)
MainMenuBarArtFrameBackground:Hide()
MainMenuBarArtFrame.LeftEndCap:Hide()
MainMenuBarArtFrame.RightEndCap:Hide()
UIErrorsFrame:Hide()
StatusTrackingBarManager:Hide()
MicroButtonAndBagsBar:Hide()

--Minimap

MinimapBorderTop:Hide()
MinimapZoneText:Hide()
MiniMapWorldMapButton:Hide()

--Chat Frame

for i = 1,2 do   _G["ChatFrame"..i.."TabMiddle"]:Hide()	
                 _G["ChatFrame"..i.."TabRight"]:Hide()	
                 _G["ChatFrame"..i.."TabLeft"]:Hide()
                 _G["ChatFrame"..i.."TabSelectedMiddle"]:SetAlpha(0)
                 _G["ChatFrame"..i.."TabSelectedLeft"]:SetAlpha(0)
                 _G["ChatFrame"..i.."TabSelectedRight"]:SetAlpha(0)	
                 _G["ChatFrame"..i.."TabHighlightMiddle"]:SetAlpha(0)
                 _G["ChatFrame"..i.."TabHighlightLeft"]:SetAlpha(0)
                 _G["ChatFrame"..i.."TabHighlightRight"]:SetAlpha(0) 
                 _G["ChatFrame"..i.."Background"]:Hide()
                 _G["ChatFrame"..i.."ButtonFrame"]:Hide() 					 
				 end		 		 					 		
		 
--CVar

C_CVar.SetCVar("cameraPivot", 0)
C_CVar.SetCVar("ActionButtonUseKeyDown", 1)
C_CVar.SetCVar("WorldTextCritScreenY", 0.0426)
C_CVar.SetCVar("WorldTextScreenY", 0.053)
C_CVar.SetCVar("WorldTextGravity", 0)
C_CVar.SetCVar("threatWarning", 0)
C_CVar.SetCVar("WorldTextScale", 0.84)
C_CVar.SetCVar("nameplateMinAlpha", 1.0)
C_CVar.SetCVar("nameplateMaxDistance", 40)
C_CVar.SetCVar("nameplateMaxAlphaDistance", 40)
C_CVar.SetCVar("nameplateOtherTopInset", -1)
C_CVar.SetCVar("nameplateOtherBottomInset", -1)
C_CVar.SetCVar("nameplateOccludedAlphaMult",1)
C_CVar.SetCVar("breakUpLargeNumbers", 0)
C_CVar.SetCVar("floatingCombatTextCombatLogPeriodicSpells", 0)
C_CVar.SetCVar("cameraDistanceMaxZoomFactor", 2.3)
C_CVar.SetCVar("floatingCombatTextCombatDamageDirectionalScale", 0)
C_CVar.SetCVar("nameplateSelfScale", 0.81)
C_CVar.SetCVar("ShowClassColorInFriendlyNameplate", 0)

--ActionBar

PetActionButton1:ClearAllPoints()PetActionButton1:SetScale(1)PetActionButton1:SetPoint("RIGHT", ActionButton1 , "CENTER", 9.3, 141)
StanceButton1:ClearAllPoints()StanceButton1:SetPoint("RIGHT", ActionButton1 , "CENTER", 259, 140)StanceButton1.SetPoint = function() end
ActionBarUpButton:ClearAllPoints()
ActionBarUpButton:SetPoint("LEFT", ChatFrameMenuButton , "CENTER", -11, -22)

ActionButton1:ClearAllPoints()
ActionButton1:SetPoint("BOTTOM", "UIParent", "BOTTOM", -230.5, 1)
MultiBarBottomRightButton7:ClearAllPoints()
MultiBarBottomRightButton7:SetPoint("BOTTOM", "UIParent", "BOTTOM", 21.5, 81)
MultiBarBottomRightButton1:ClearAllPoints()
MultiBarBottomRightButton1:SetPoint("BOTTOM", "UIParent", "BOTTOM", -230.5, 81)
MultiBarBottomLeftButton1:ClearAllPoints()
MultiBarBottomLeftButton1:SetPoint("BOTTOM", "UIParent", "BOTTOM", -230.5, 41)

for i = 1, 12 do _G["ActionButton"..i]:SetScale(1.17) 
                 _G["MultiBarBottomLeftButton"..i]:SetScale(1.17) 
                 _G["MultiBarBottomRightButton"..i]:SetScale(1.17) 
                 _G["ActionButton"..i.."Name"]:SetAlpha(0)
                 _G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0)
                 _G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0) end

--LossControlSelf

LossOfControlFrame.AbilityName:Hide()
LossOfControlFrame.TimeLeft.NumberText:Hide()
LossOfControlFrame.TimeLeft:SetAlpha(0)
LossOfControlFrame.RedLineTop:Hide()
LossOfControlFrame.RedLineBottom:Hide()
LossOfControlFrame.blackBg:Hide()

--Remove Name on Enemy Nameplates 

hooksecurefunc("CompactUnitFrame_UpdateName", function(frame)
    	if not strfind(frame.unit, "nameplate") or frame:IsForbidden() then return end
    	if (UnitIsUnit(frame.unit, "target")) then frame.name:Hide() end
    end) 

--Debuffs Above Enemy Namplate

hooksecurefunc(NameplateBuffContainerMixin,"UpdateAnchor",function(self)
    if self:IsForbidden() then return end
    local parent=self:GetParent()
    local unit=parent.unit
        if unit and ShouldShowName(parent) then
        local offset=self:GetBaseYOffset()+((unit and UnitIsUnit(unit,"target")) and self:GetTargetYOffset() or 0)
        self:SetPoint("BOTTOM",parent,"TOP",0,-27)
    end
end) 

--GameTooltip

hooksecurefunc("GameTooltip_SetDefaultAnchor", function(tooltip, parent)
    tooltip:SetOwner(parent, "ANCHOR_NONE");
    tooltip:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -4.5, 36)
end)

end

frame:RegisterEvent("VARIABLES_LOADED")
frame:SetScript("OnEvent",Vremon_OnLoad)
